#ifndef COUNTDOWN_H
#define COUNTDOWN_H

#include <stdint.h>

typedef struct
{
  struct
  {
    // .ms10.timer_1s wird intern verwendet
    uint8_t timer_1s;

    // 8-Bit Werte, die alle 10ms runtergez�hlt werden sollen
    uint8_t beep;

    uint8_t debounce;
  } ms10;

  struct
  {
    // 16-Bit Werte, die alle 10ms runtergez�hlt werden sollen
  } ms10_16;

  struct
  {
    // .sec.timer_1m wird intern verwendet
    uint8_t timer_1m;

    // 8-Bit Werte, die jede Sekunde runtergez�hlt werden sollen
  } sec;

  struct
  {
    // 8-Bit Werte, die jede Minute runtergez�hlt werden sollen
    uint8_t eiuhr;
  } min;
} countdown_t;

// `count' global bekannt machen
extern volatile countdown_t count;

// Diese Routine alle 10ms aufrufen
extern void job_countdown (void);

#endif // COUNTDOWN_H
