#ifndef PORTS_H
#define PORTS_H

#include <avr/io.h>
#include "avr-port-macros.h"
#include "avr-port-enum.h"

#if defined (__AVR_ATtiny2313__)
enum
{
  PORT_ZEHNER = PORTD_2, // INT0
  PORT_EINER  = PORTD_3, // INT1

  PORT_A1 = PORTD_1,
  PORT_A2 = PORTD_0,
  PORT_A3 = PORTB_4,
  PORT_A4 = PORTB_1,
  PORT_A5 = PORTD_4,

  PORT_K1 = PORTB_0,
  PORT_K2 = PORTD_6,
  PORT_K3 = PORTB_3,

  PORT_BEEPA = PORTB_2,
  PORT_BEEPB = PORTD_5,

  PORT_NIL1 = PORTB_5,
  PORT_NIL2 = PORTB_6,
  PORT_NIL3 = PORTB_7,
  PORT_NIL4 = PORTA_0,
  PORT_NIL5 = PORTA_1,

  PORT_NIL
};
#endif // ATtiny2313

#if defined (__AVR_ATtiny24__)
enum
{
  PORT_ZEHNER = PORTA_1, // PC1
  PORT_EINER  = PORTA_0, // PC0

  PORT_A1 = PORTB_0,
  PORT_A2 = PORTA_2,
  PORT_A3 = PORTA_6, // BEEPA, MOSI
  PORT_A4 = PORTA_3,
  PORT_A5 = PORTA_4, // SCK

  PORT_K1 = PORTA_7,
  PORT_K2 = PORTB_1,
  PORT_K3 = PORTB_2,

  PORT_BEEPA = PORTA_6, // A3, MOSI
  PORT_BEEPB = PORTA_5, // MISO

  PORT_NIL
};
#endif // ATtiny24

/*****************************************************************/

#endif /* PORTS_H */


